#pragma once

#include "Hash.h"

#include <string>

class Obj
{
private:
	size_t hashId;
	std::string id;

public:
	Obj();

	Obj(std::string id);

	Obj(Obj&& obj) noexcept;

	Obj(const Obj& obj);

	Obj& operator=(Obj&& obj) noexcept;

	Obj& operator=(const Obj& obj);

	size_t GetHashId() const;

	void SetId(std::string newId);

	std::string GetId() const;
};