#pragma once

#include <cstddef>

class Vec2
{
public:
	size_t x;
	size_t y;

	Vec2();

	Vec2(size_t scalar);

	Vec2(size_t x, size_t y);

	Vec2(Vec2&& vec) noexcept = default;

	Vec2(const Vec2& vec) = default;

	Vec2& operator=(Vec2&& vec) noexcept = default;

	Vec2& operator=(const Vec2& vec) = default;
};