#include "Com.h"

Com::Com()
{
}

Com::Com(std::string id)
	: Obj(std::move(id))
{
}

Com::Com(Com&& com) noexcept
	: Obj(std::move(com))
{
}

Com::Com(const Com& com)
	: Obj(com)
{
}

Com& Com::operator=(Com&& com) noexcept
{
	if (this == &com)
		return *this;

	Obj::operator=(std::move(com));

	return *this;
}

Com& Com::operator=(const Com& com)
{
	if (this == &com)
		return *this;

	Obj::operator=(com);

	return *this;
}

void Com::Update()
{
}

void Com::Render()
{
}

